bug-bash
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[patch] bash 2.05b: Readline version overriding when cross-compiling


From: Maciej W. Rozycki
Subject: [patch] bash 2.05b: Readline version overriding when cross-compiling
Date: Fri, 25 Oct 2002 23:36:21 +0200 (MET DST)

Hello,

 Building bash with a cross-compiler fails if --with-installed-readline is
used since ac_cv_rl_version is then forced to 4.2 and bash requires 4.3.
Following is a patch that lets a knowledgeable user override the version
by using the cache variable like this:

$ CC=mipsel-linux-gcc CC_FOR_BUILD=i386-linux-gcc ac_cv_rl_version=4.3
./configure --with-installed-readline --build=i386-linux
--host=mipsel-linux

2002-10-25  Maciej W. Rozycki  <address@hidden>

        * aclocal.m4 (RL_LIB_READLINE_VERSION): Use the cache for the
        ac_cv_rl_version variable.

 Please apply.

  Maciej

-- 
+  Maciej W. Rozycki, Technical University of Gdansk, Poland   +
+--------------------------------------------------------------+
+        e-mail: address@hidden, PGP key available        +

bash-2.05b-rl_version.patch
diff -up --recursive --new-file bash-2.05b.macro/aclocal.m4 
bash-2.05b/aclocal.m4
--- bash-2.05b.macro/aclocal.m4 2002-06-25 13:45:43.000000000 +0000
+++ bash-2.05b/aclocal.m4       2002-10-19 00:10:00.000000000 +0000
@@ -1712,7 +1712,8 @@ LIBS="$LIBS -lreadline ${TERMCAP_LIB}"
 CFLAGS="$CFLAGS -I${ac_cv_rl_includedir}"
 LDFLAGS="$LDFLAGS -L${ac_cv_rl_libdir}"
 
-AC_TRY_RUN([
+AC_CACHE_VAL(ac_cv_rl_version,
+[AC_TRY_RUN([
 #include <stdio.h>
 #include <readline/readline.h>
 
@@ -1728,7 +1729,7 @@ main()
 ],
 ac_cv_rl_version=`cat conftest.rlv`,
 ac_cv_rl_version='0.0',
-ac_cv_rl_version='4.2')
+ac_cv_rl_version='4.2')])
 
 CFLAGS="$_save_CFLAGS"
 LDFLAGS="$_save_LDFLAGS"





reply via email to

[Prev in Thread] Current Thread [Next in Thread]